Bug 64938 - [4.9 Regression] ICE in symtab_remove_unreachable_nodes, at ipa.c:547 on arm-linux-gnueabihf
Summary: [4.9 Regression] ICE in symtab_remove_unreachable_nodes, at ipa.c:547 on arm-...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.9.2
: P3 normal
Target Milestone: 4.9.3
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2015-02-04 19:56 UTC by Matthias Klose
Modified: 2015-02-19 00:44 UTC (History)
1 user (show)

See Also:
Host:
Target: arm-linux-gnueabihf
Build:
Known to work: 4.9.2
Known to fail: 4.9.3
Last reconfirmed:


Attachments
test case (565 bytes, text/plain)
2015-02-04 19:56 UTC, Matthias Klose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Klose 2015-02-04 19:56:08 UTC
Created attachment 34668 [details]
test case

$ arm-linux-gnueabihf-gcc -c -g -O2 -std=c++11 -Wno-attributes -Wno-non-template-friend test.ii 
test.ii:66:53: internal compiler error: in symtab_remove_unreachable_nodes, at ipa.c:547
 H<J *> Scopes::favScopes() const { return m_scopes; }
                                                     ^
Please submit a full bug report,
with preprocessed source if appropriate.

configured with --with-arch=armv7-a --with-fpu=vfpv3-d16 --with-float=hard --with-mode=thumb

not seen on the trunk, introduced by backporting the fix for PR63970. Reverting this backport lets the test case build.
Comment 1 Matthias Klose 2015-02-04 20:07:26 UTC
couldn't find any approval email on gcc-patches for the backport. Was this supposed to go to the gcc-4.9 google branch?
Comment 2 Matthias Klose 2015-02-04 23:36:54 UTC
Author: doko
Date: Wed Feb  4 23:36:22 2015
New Revision: 220426

URL: https://gcc.gnu.org/viewcvs?rev=220426&root=gcc&view=rev
Log:
2015-02-04  Matthias Klose  <doko@ubuntu.com>

        PR target/64938
        Backport from mainline
        2015-01-15  Jan Hubicka  <hubicka@ucw.cz>

        PR ipa/64068
        PR ipa/64559
        * ipa.c (symbol_table::remove_unreachable_nodes):
        Do not put abstract origins into boundary.

2015-02-04  Matthias Klose  <doko@ubuntu.com>

        Backport from mainline
        2015-01-15  Martin Liska  <mliska@suse.cz>

        * g++.dg/ipa/pr64068.C: New test.
        * gcc.dg/ipa/PR64559.c: New test.

Added:
    branches/gcc-4_9-branch/gcc/testsuite/g++.dg/ipa/pr64068.C
    branches/gcc-4_9-branch/gcc/testsuite/gcc.dg/ipa/PR64559.c
Modified:
    branches/gcc-4_9-branch/gcc/ChangeLog
    branches/gcc-4_9-branch/gcc/ipa.c
    branches/gcc-4_9-branch/gcc/testsuite/ChangeLog
Comment 3 wmi 2015-02-05 00:28:26 UTC
Author: wmi
Date: Thu Feb  5 00:27:54 2015
New Revision: 220431

URL: https://gcc.gnu.org/viewcvs?rev=220431&root=gcc&view=rev
Log:
Backport from gcc-4_9-branch.
2015-02-04  Matthias Klose  <doko@ubuntu.com>

        PR target/64938
        Backport from mainline
        2015-01-15  Jan Hubicka  <hubicka@ucw.cz>

        PR ipa/64068
        PR ipa/64559
        * ipa.c (symbol_table::remove_unreachable_nodes):
        Do not put abstract origins into boundary.

Added:
    branches/google/gcc-4_9/gcc/testsuite/g++.dg/ipa/pr64068.C
    branches/google/gcc-4_9/gcc/testsuite/gcc.dg/ipa/PR64559.c
Modified:
    branches/google/gcc-4_9/gcc/ipa.c
Comment 4 Andrew Pinski 2015-02-09 00:08:09 UTC
Fixed.
Comment 5 ctice 2015-02-19 00:44:04 UTC
Author: ctice
Date: Thu Feb 19 00:43:33 2015
New Revision: 220805

URL: https://gcc.gnu.org/viewcvs?rev=220805&root=gcc&view=rev
Log:
Backport patch from Google 4.9 branch (r220431):

r220431 | wmi | 2015-02-04 16:27:54 -0800 (Wed, 04 Feb 2015) | 12 lines

Backport from gcc-4_9-branch.
2015-02-04  Matthias Klose  <doko@ubuntu.com>

        PR target/64938
        Backport from mainline
        2015-01-15  Jan Hubicka  <hubicka@ucw.cz>

        PR ipa/64068
        PR ipa/64559
        * ipa.c (symbol_table::remove_unreachable_nodes):
        Do not put abstract origins into boundary.


Added:
    branches/google/gcc-4_9-mobile/gcc/testsuite/g++.dg/ipa/pr64068.C
    branches/google/gcc-4_9-mobile/gcc/testsuite/gcc.dg/ipa/PR64559.c
Modified:
    branches/google/gcc-4_9-mobile/gcc/ipa.c